# grf.cpp File Reference

Reading graphics data from (New)GRF files. More...

`#include "../stdafx.h"`
`#include "../gfx_func.h"`
`#include "../fileio_func.h"`
`#include "../debug.h"`
`#include "../strings_func.h"`
`#include "table/strings.h"`
`#include "../gui.h"`
`#include "grf.hpp"`

Go to the source code of this file.

## Functions
static bool | WarnCorruptSprite (uint8 file_slot, size_t file_pos, int line)
| We found a corrupted sprite.

## Detailed Description

Reading graphics data from (New)GRF files.

Definition in file grf.cpp.

## Function Documentation

static bool WarnCorruptSprite | ( | uint8 | file_slot,
|  | size_t | file_pos,
|  | int | line |
| ) |  |  | `[static]`

We found a corrupted sprite.

This means that the sprite itself contains invalid data or is too small for the given dimensions.

Parameters:

  | file_slot | the file the errored sprite is in
  | file_pos | the location in the file of the errored sprite
  | line | the line where the error occurs.

Returns:
  always false (to tell loading the sprite failed)

Definition at line 29 of file grf.cpp.

References INVALID_STRING_ID, SetDParamStr(), and ShowErrorMessage().

Referenced by SpriteLoaderGrf::LoadSprite().